package SLA4;

import com.metamaxim.modelscope.callbacks.Instance;

public class IndicatorTime extends AbstractIndicator {
	
	@Override
	public Object getIndicatorValue()
	{
		//
		//	Get the total requests during the period
		//
		Instance slaMonitor = this.getInstance("SLA Contract Monitor");
		
		//
		//	Get the attribute of the target attribute
		//
		String measurementAttributeName = this.getString("Measurement Attribute");
		Instance measurement = this.getLastMeasurement(slaMonitor);
		
		if (measurement == null)
			return "";

		return measurement.getString(measurementAttributeName);
	}
}
