package SLA4;

import java.util.HashMap;

/**
 * Any norm types are declared within this class.
 * The method getNormTypes return the known norm types.
 * 
 * @author Cor Hofman
 *
 */
public class NormTypes {
//	public final static String NORM							= "Norm";
//	public final static String NORM_RANGE					= "Norm Range";
//	public final static String NORM_RANGE_IN_PERIOD			= "Norm Range In Period";
//	public final static String NORM_RANGE_SUBSET_IN_PERIOD	= "Norm Range Subset In Period";
	public final static String NORM_PERIOD 					= "Norm Period";
	public final static String NORM_TIMESSUBSET_IN_PERIOD 	= "Norm TimesSubset In Period";
	
	/**
	 * List with names of norm type ModelScope objects.
	 */
	private final static String [] NORM_TYPES = new String [] {
//		"Norm",
//		"Norm Range",
//		"Norm Range In Period",
//		"Norm Range Subset In Period",
		"Norm Period",
		"Norm TimesSubset In Period",
	};
	
	/**
	 * Returns a list of Norm type names.
	 * The Norms have to be specified as ModelScope objects using the exact same name.
	 * @return
	 */
	public static String [] getNormTypes()
	{
		return NORM_TYPES;
	}

}
